function setup() {
    const main_schema = require('./../defs/floorplanner/input_plan.json');

    let additional_schemas = [];

    additional_schemas.push(require('./../defs/common/basic_types.json'));
    additional_schemas.push(require('./../defs/common/gender.json'));
    additional_schemas.push(require('./../defs/common/date_time.json'));
    additional_schemas.push(require('./../defs/common/client.json'));
    additional_schemas.push(require('./../defs/common/version.json'));
    additional_schemas.push(require('./../defs/common/language.json'));
    additional_schemas.push(require('./../defs/common/weekday.json'));
    additional_schemas.push(require('./../defs/floorplanner/input_worker.json'));
    additional_schemas.push(require('./../defs/floorplanner/meta.json'));
    additional_schemas.push(require('./../defs/floorplanner/parameters.json'));
    additional_schemas.push(require('./../defs/floorplanner/input_task.json'));
    additional_schemas.push(require('./../defs/floorplanner/history_task.json'));
    additional_schemas.push(require('./../defs/floorplanner/history_assignment.json'));
    additional_schemas.push(require('./../defs/floorplanner/history_worker.json'));
    additional_schemas.push(require('./../defs/floorplanner/history.json'));

    return {
        main_schema: main_schema,
        additional_schemas: additional_schemas
    };
}

module.exports = setup();