'use strict';

const util = require('util');

function ValidationError(message, errors) {
  Error.captureStackTrace(this, ValidationError);
  this.name = ValidationError.name;
  this.errors = errors;
  this.message = message;
}

util.inherits(ValidationError, Error);

module.exports = ValidationError;
